<?php

/**
 * @file
 *
 */

function incubator_tours_incubator_tours() {
  $tours = array(
    'incubator-tours-help-help' => array(
      'label' => t('Using help'),
      'routes' => array(
        'help',
      ),
      'permission' => 'access incubator tours',
      'help section' => '',
      'tips' => array(
        array(
          'data' => t('This is an introduction to the guided tours that can help you '
              . 'perform some common tasks on your site. '
              . 'Please click Continue or press the return key to go to the next slide.'),
        ),
        array(
          'data' => t('If there is help available for the page you are on, a link will appear '
              . 'in the upper left of the screen. Hover over it to expose the relevant help topics, '
              . 'then click the link to start one.'),
          'data-id' => 'incubator-tours-helplink',
          'data-options' => 'tipLocation:right',
        ),
        array(
          'data' => t('Some slides block the entire screen, while others '
              . 'allow you to interact with the page around them '
              . 'so that you can fill in form fields.')
        ),
        array(
          'data' => t('Some tours can help you peform a simple task such as adding a page. '
              . 'The tour will show you where you need to go and highlight each step along the way.'),
        ),
        array(
          'data' => t('Other tours provide general overviews of the functionality of the site.'),
        ),
        array(
          'data' => t('To see a list of general help topics, go to the "Help" page.'),
          'data-href' => '/help',
          'tour-follow' => '/help',
          'data-options' => 'tipLocation:right',
        ),
        array(
          'data' => t('At any time, you can break out of a tour by clicking the '
              . 'small close button in the upper right of the popup.')
        ),
        array(
          'data' => t('This concludes the introduction to the help tour.')
        ),
      )
    )
  );
  return $tours;
}
